ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.105 by root, Tue Jun 26 00:40:18 2007 UTC vs.
Revision 1.109 by root, Wed Aug 1 18:38:15 2007 UTC

677INSTALL_SCRIPT 677INSTALL_SCRIPT
678INSTALL_DATA 678INSTALL_DATA
679GREP 679GREP
680EGREP 680EGREP
681LINKER 681LINKER
682CXXLIB
683INSTALL_LIBRXVT 682INSTALL_LIBRXVT
684RXVTNAME 683RXVTNAME
685TIC 684TIC
686XMKMF 685XMKMF
687CXXCPP 686CXXCPP
705PERLLIB 704PERLLIB
706PERLFLAGS 705PERLFLAGS
707PERLPRIVLIBEXP 706PERLPRIVLIBEXP
708IF_PERL 707IF_PERL
709PERL_O 708PERL_O
710LIBAFTERIMAGE_CFLAGS 709AFTERIMAGE_CFLAGS
711AFTERIMAGE_LIBS 710AFTERIMAGE_LIBS
712include_stdint_h 711include_stdint_h
713include_stdarg_h 712include_stdarg_h
714include_stdlib_h 713include_stdlib_h
715include_unistd_h 714include_unistd_h
1327 --enable-combining enable composition of base and combining characters 1326 --enable-combining enable composition of base and combining characters
1328 --enable-xft enable xft support on systems that have it 1327 --enable-xft enable xft support on systems that have it
1329 --enable-font-styles enable bold and italic support 1328 --enable-font-styles enable bold and italic support
1330 --enable-xpm-background enable background pixmaps 1329 --enable-xpm-background enable background pixmaps
1331 --enable-afterimage enable integration with libAfterImage for background images 1330 --enable-afterimage enable integration with libAfterImage for background images
1332 --enable-afterstep enable integration with AfterStep window manager
1333 --enable-transparency enable transparent backgrounds 1331 --enable-transparency enable transparent backgrounds
1334 --enable-tinting enable tinting of transparent bg 1332 --enable-tinting enable tinting of transparent bg
1335 --enable-fading enable colors fading when off focus 1333 --enable-fading enable colors fading when off focus
1336 --enable-rxvt-scroll enable rxvt style scrollbar 1334 --enable-rxvt-scroll enable rxvt style scrollbar
1337 --enable-next-scroll enable NeXT style scrollbar 1335 --enable-next-scroll enable NeXT style scrollbar
3855 (exit $ac_status); } && { 3853 (exit $ac_status); } && {
3856 test -z "$ac_cxx_werror_flag" || 3854 test -z "$ac_cxx_werror_flag" ||
3857 test ! -s conftest.err 3855 test ! -s conftest.err
3858 } && test -s conftest$ac_exeext && 3856 } && test -s conftest$ac_exeext &&
3859 $as_test_x conftest$ac_exeext; then 3857 $as_test_x conftest$ac_exeext; then
3860
3861 { echo "$as_me:$LINENO: result: ok" >&5 3858 { echo "$as_me:$LINENO: result: ok" >&5
3862echo "${ECHO_T}ok" >&6; } 3859echo "${ECHO_T}ok" >&6; }
3863 CXXLIB="-lsupc++"
3864
3865else 3860else
3866 echo "$as_me: failed program was:" >&5 3861 echo "$as_me: failed program was:" >&5
3867sed 's/^/| /' conftest.$ac_ext >&5 3862sed 's/^/| /' conftest.$ac_ext >&5
3868 3863
3869 3864
3878rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ 3873rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
3879 conftest$ac_exeext conftest.$ac_ext 3874 conftest$ac_exeext conftest.$ac_ext
3880 CXX="$save_CXX" 3875 CXX="$save_CXX"
3881fi 3876fi
3882LINKER=$LINKER 3877LINKER=$LINKER
3883
3884 3878
3885 3879
3886if test -z "$orig_CXXFLAGS"; then 3880if test -z "$orig_CXXFLAGS"; then
3887 if test x$GCC = xyes && test "x$GXX" = xyes; then 3881 if test x$GCC = xyes && test "x$GXX" = xyes; then
3888 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3882 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
4568 afterimage_config=$withval/afterimage-config 4562 afterimage_config=$withval/afterimage-config
4569 fi 4563 fi
4570fi 4564fi
4571 4565
4572 4566
4573# Check whether --enable-afterstep was given.
4574if test "${enable_afterstep+set}" = set; then
4575 enableval=$enable_afterstep; if test x$enableval = xyes -o x$enableval = xno; then
4576 support_afterstep=$enableval
4577 fi
4578fi
4579
4580 4567
4581# Check whether --enable-transparency was given. 4568# Check whether --enable-transparency was given.
4582if test "${enable_transparency+set}" = set; then 4569if test "${enable_transparency+set}" = set; then
4583 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then 4570 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then
4584 support_inheritpixmap=$enableval 4571 support_inheritpixmap=$enableval
6461 6448
6462fi 6449fi
6463 6450
6464 6451
6465 6452
6466LIBAFTERIMAGE_CFLAGS= 6453AFTERIMAGE_CFLAGS=
6467AFTERIMAGE_LIBS= 6454AFTERIMAGE_LIBS=
6468have_afterimage= 6455AFTERIMAGE_VERSION=
6469 6456
6470if test x$support_afterimage = xyes; then 6457if test x$support_afterimage = xyes; then
6471 support_afterimage=no 6458 support_afterimage=no
6472 6459
6473 if test "x$afterimage_config" = "x" ; then 6460 if test "x$afterimage_config" = "x" ; then
6511echo "${ECHO_T}no" >&6; } 6498echo "${ECHO_T}no" >&6; }
6512fi 6499fi
6513 6500
6514 6501
6515 fi 6502 fi
6516 6503 if test "x$afterimage_config" != "xno" ; then
6517 { echo "$as_me:$LINENO: checking for libAfterImage" >&5 6504 { echo "$as_me:$LINENO: checking for libAfterImage version >= 1.15" >&5
6518echo $ECHO_N "checking for libAfterImage... $ECHO_C" >&6; } 6505echo $ECHO_N "checking for libAfterImage version >= 1.15... $ECHO_C" >&6; }
6519 if $afterimage_config --version >/dev/null 2>&1 ; then 6506 xAFTERIMAGE_VERSION=`$afterimage_config --version`
6507 if test -n "$xAFTERIMAGE_VERSION" ; then
6520 LIBAFTERIMAGE_CFLAGS=`$afterimage_config --cflags` 6508 xAFTERIMAGE_CFLAGS=`$afterimage_config --cflags`
6521 AFTERIMAGE_LIBS=`$afterimage_config --libs` 6509 xAFTERIMAGE_LIBS=`$afterimage_config --libs`
6522 if test "x$AFTERIMAGE_LIBS" != "x"; then 6510 if test "x$xAFTERIMAGE_LIBS" != "x"; then
6511 libai_ver_major=`echo $xAFTERIMAGE_VERSION | cut -f 1 -d .`
6512 libai_ver_minor=`echo $xAFTERIMAGE_VERSION | cut -f 2 -d .`
6513 if test $libai_ver_major -gt 1 -o \( $libai_ver_major -eq 1 -a $libai_ver_minor -ge 15 \); then
6523 support_afterimage=yes 6514 support_afterimage=yes
6515 AFTERIMAGE_CFLAGS="$xAFTERIMAGE_CFLAGS"
6516 AFTERIMAGE_LIBS="$xAFTERIMAGE_LIBS"
6517 AFTERIMAGE_VERSION="$xAFTERIMAGE_VERSION"
6518 fi
6519 fi
6524 fi 6520 fi
6525 fi
6526
6527 if test "x$support_afterimage" = "xyes"; then 6521 if test "x$support_afterimage" = "xyes"; then
6528 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5 6522 { echo "$as_me:$LINENO: result: $AFTERIMAGE_LIBS" >&5
6529echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; } 6523echo "${ECHO_T}$AFTERIMAGE_LIBS" >&6; }
6530 else 6524 else
6531 { echo "$as_me:$LINENO: result: no" >&5 6525 { echo "$as_me:$LINENO: result: no" >&5
6532echo "${ECHO_T}no" >&6; } 6526echo "${ECHO_T}no" >&6; }
6527 fi
6533 fi 6528 fi
6534fi 6529fi
6535 6530
6536if test x$support_afterimage != xyes -a x$support_xpm = xyes ; then 6531if test x$support_afterimage != xyes -a x$support_xpm = xyes ; then
6537 6532
7484rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 7479rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7485fi 7480fi
7486{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5 7481{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5
7487echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; } 7482echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; }
7488 7483
7489if test -n "$GCC"; then
7490 LDARG="-Wl,"
7491else
7492 LDARG=""
7493fi
7494R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-rpath '$LDARG'\1/g'
7495
7496ac_save_CFLAGS=$CFLAGS
7497ac_save_LIBS=$LIBS
7498CFLAGS="$CFLAGS $X_CFLAGS"
7499LIBS=`echo "$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7500{ echo "$as_me:$LINENO: checking for -rpath dynamic library path recording" >&5
7501echo $ECHO_N "checking for -rpath dynamic library path recording... $ECHO_C" >&6; }
7502if test "${rxvt_cv_rpath+set}" = set; then
7503 echo $ECHO_N "(cached) $ECHO_C" >&6
7504else
7505 if test "$cross_compiling" = yes; then
7506 { echo "$as_me:$LINENO: WARNING: You may need to check the LIBS line" >&5
7507echo "$as_me: WARNING: You may need to check the LIBS line" >&2;}
7508else
7509 cat >conftest.$ac_ext <<_ACEOF
7510/* confdefs.h. */
7511_ACEOF
7512cat confdefs.h >>conftest.$ac_ext
7513cat >>conftest.$ac_ext <<_ACEOF
7514/* end confdefs.h. */
7515#include <X11/Xlib.h>
7516#include <stdlib.h>
7517main()
7518{
7519 exit(0);
7520 (void) XOpenDisplay("foobar");
7521}
7522_ACEOF
7523rm -f conftest$ac_exeext
7524if { (ac_try="$ac_link"
7525case "(($ac_try" in
7526 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7527 *) ac_try_echo=$ac_try;;
7528esac
7529eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7530 (eval "$ac_link") 2>&5
7531 ac_status=$?
7532 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7533 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7534 { (case "(($ac_try" in
7535 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7536 *) ac_try_echo=$ac_try;;
7537esac
7538eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7539 (eval "$ac_try") 2>&5
7540 ac_status=$?
7541 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7542 (exit $ac_status); }; }; then
7543 rxvt_cv_rpath=yes
7544else
7545 echo "$as_me: program exited with status $ac_status" >&5
7546echo "$as_me: failed program was:" >&5
7547sed 's/^/| /' conftest.$ac_ext >&5
7548
7549( exit $ac_status )
7550rxvt_cv_rpath=no
7551fi
7552rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7553fi
7554
7555
7556fi
7557{ echo "$as_me:$LINENO: result: $rxvt_cv_rpath" >&5
7558echo "${ECHO_T}$rxvt_cv_rpath" >&6; }
7559if test x$rxvt_cv_rpath != xyes; then
7560 R_TRANSLATE='s/-L\([^ ]*\)/-L\1 '$LDARG'-R\1/g'
7561 LIBS=`echo "$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11" | sed "$R_TRANSLATE"`
7562 { echo "$as_me:$LINENO: checking for -R dynamic library path recording" >&5
7563echo $ECHO_N "checking for -R dynamic library path recording... $ECHO_C" >&6; }
7564if test "${rxvt_cv_R+set}" = set; then
7565 echo $ECHO_N "(cached) $ECHO_C" >&6
7566else
7567 if test "$cross_compiling" = yes; then
7568 rxvt_cv_R=no
7569else
7570 cat >conftest.$ac_ext <<_ACEOF
7571/* confdefs.h. */
7572_ACEOF
7573cat confdefs.h >>conftest.$ac_ext
7574cat >>conftest.$ac_ext <<_ACEOF
7575/* end confdefs.h. */
7576#include <X11/Xlib.h>
7577#include <stdlib.h>
7578main()
7579{
7580 exit(0);
7581 (void) XOpenDisplay("foobar");
7582}
7583_ACEOF
7584rm -f conftest$ac_exeext
7585if { (ac_try="$ac_link"
7586case "(($ac_try" in
7587 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7588 *) ac_try_echo=$ac_try;;
7589esac
7590eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7591 (eval "$ac_link") 2>&5
7592 ac_status=$?
7593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7594 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7595 { (case "(($ac_try" in
7596 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7597 *) ac_try_echo=$ac_try;;
7598esac
7599eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7600 (eval "$ac_try") 2>&5
7601 ac_status=$?
7602 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7603 (exit $ac_status); }; }; then
7604 rxvt_cv_R=yes
7605else
7606 echo "$as_me: program exited with status $ac_status" >&5
7607echo "$as_me: failed program was:" >&5
7608sed 's/^/| /' conftest.$ac_ext >&5
7609
7610( exit $ac_status )
7611rxvt_cv_R=no
7612fi
7613rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7614fi
7615
7616
7617fi
7618{ echo "$as_me:$LINENO: result: $rxvt_cv_R" >&5
7619echo "${ECHO_T}$rxvt_cv_R" >&6; }
7620 if test x$rxvt_cv_R != xyes; then
7621 LIBS="$ac_save_LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
7622 fi
7623fi
7624
7625{ echo "$as_me:$LINENO: checking for XPointer" >&5 7484{ echo "$as_me:$LINENO: checking for XPointer" >&5
7626echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; } 7485echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; }
7627if test "${rxvt_cv_xpointer+set}" = set; then 7486if test "${rxvt_cv_xpointer+set}" = set; then
7628 echo $ECHO_N "(cached) $ECHO_C" >&6 7487 echo $ECHO_N "(cached) $ECHO_C" >&6
7629else 7488else
7676cat >>confdefs.h <<\_ACEOF 7535cat >>confdefs.h <<\_ACEOF
7677#define HAVE_XPOINTER 1 7536#define HAVE_XPOINTER 1
7678_ACEOF 7537_ACEOF
7679 7538
7680fi 7539fi
7681LIBS=$ac_save_LIBS
7682CFLAGS=$ac_save_CFLAGS
7683 7540
7684{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5 7541{ echo "$as_me:$LINENO: checking for XLIB_ILLEGAL_ACCESS" >&5
7685echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; } 7542echo $ECHO_N "checking for XLIB_ILLEGAL_ACCESS... $ECHO_C" >&6; }
7686if test "${rxvt_xlib_illegal_access+set}" = set; then 7543if test "${rxvt_xlib_illegal_access+set}" = set; then
7687 echo $ECHO_N "(cached) $ECHO_C" >&6 7544 echo $ECHO_N "(cached) $ECHO_C" >&6
11817 11674
11818ac_save_LIBS=$LIBS 11675ac_save_LIBS=$LIBS
11819ac_save_CFLAGS=$CFLAGS 11676ac_save_CFLAGS=$CFLAGS
11820CFLAGS="$CFLAGS $X_CFLAGS" 11677CFLAGS="$CFLAGS $X_CFLAGS"
11821LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11678LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11822if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
11823 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
11824fi
11825{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11679{ echo "$as_me:$LINENO: checking for working Xlocale" >&5
11826echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11680echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11827if test "${rxvt_cv_func_xlocale+set}" = set; then 11681if test "${rxvt_cv_func_xlocale+set}" = set; then
11828 echo $ECHO_N "(cached) $ECHO_C" >&6 11682 echo $ECHO_N "(cached) $ECHO_C" >&6
11829else 11683else
13237cat >>confdefs.h <<\_ACEOF 13091cat >>confdefs.h <<\_ACEOF
13238#define SELECTION_SCROLLING 1 13092#define SELECTION_SCROLLING 1
13239_ACEOF 13093_ACEOF
13240 13094
13241fi 13095fi
13242if test x$support_frills = xyes; then
13243
13244cat >>confdefs.h <<\_ACEOF
13245#define ENABLE_FRILLS 1
13246_ACEOF
13247
13248fi
13249if test x$support_mousewheel = xyes; then 13096if test x$support_mousewheel = xyes; then
13250 13097
13251cat >>confdefs.h <<\_ACEOF 13098cat >>confdefs.h <<\_ACEOF
13252#define MOUSE_WHEEL 1 13099#define MOUSE_WHEEL 1
13253_ACEOF 13100_ACEOF
13274#define HAVE_AFTERIMAGE 1 13121#define HAVE_AFTERIMAGE 1
13275_ACEOF 13122_ACEOF
13276 13123
13277fi 13124fi
13278 13125
13279if test x$support_afterstep = xyes; then
13280
13281cat >>confdefs.h <<\_ACEOF
13282#define AFTERSTEP_INTEGRATION 1
13283_ACEOF
13284
13285fi
13286 13126
13287if test x$support_scroll_rxvt = xyes; then 13127if test x$support_scroll_rxvt = xyes; then
13288 13128
13289cat >>confdefs.h <<\_ACEOF 13129cat >>confdefs.h <<\_ACEOF
13290#define RXVT_SCROLLBAR 1 13130#define RXVT_SCROLLBAR 1
13563 13403
13564if test x$support_perl = xyes; then 13404if test x$support_perl = xyes; then
13565 support_frills=yes 13405 support_frills=yes
13566fi 13406fi
13567 13407
13408if test x$support_frills = xyes; then
13568 13409
13410cat >>confdefs.h <<\_ACEOF
13411#define ENABLE_FRILLS 1
13412_ACEOF
13569 13413
13570
13571
13572
13573if test x$rxvt_cv_rpath = xyes -o x$rxvt_cv_R = xyes; then
13574 LIBS=`echo $LIBS | sed "$R_TRANSLATE"`
13575 X_LIBS=`echo $X_LIBS | sed "$R_TRANSLATE"`
13576 X_EXTRA_LIBS=`echo $X_EXTRA_LIBS | sed "$R_TRANSLATE"`
13577 XPM_LIBS=`echo $XPM_LIBS | sed "$R_TRANSLATE"`
13578fi 13414fi
13415
13416
13417
13418
13419
13420
13579 13421
13580 13422
13581 13423
13582 13424
13583 13425
14351INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim 14193INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
14352INSTALL_DATA!$INSTALL_DATA$ac_delim 14194INSTALL_DATA!$INSTALL_DATA$ac_delim
14353GREP!$GREP$ac_delim 14195GREP!$GREP$ac_delim
14354EGREP!$EGREP$ac_delim 14196EGREP!$EGREP$ac_delim
14355LINKER!$LINKER$ac_delim 14197LINKER!$LINKER$ac_delim
14356CXXLIB!$CXXLIB$ac_delim
14357INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim 14198INSTALL_LIBRXVT!$INSTALL_LIBRXVT$ac_delim
14358RXVTNAME!$RXVTNAME$ac_delim 14199RXVTNAME!$RXVTNAME$ac_delim
14359TIC!$TIC$ac_delim 14200TIC!$TIC$ac_delim
14360XMKMF!$XMKMF$ac_delim 14201XMKMF!$XMKMF$ac_delim
14361CXXCPP!$CXXCPP$ac_delim 14202CXXCPP!$CXXCPP$ac_delim
14379PERLLIB!$PERLLIB$ac_delim 14220PERLLIB!$PERLLIB$ac_delim
14380PERLFLAGS!$PERLFLAGS$ac_delim 14221PERLFLAGS!$PERLFLAGS$ac_delim
14381PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim 14222PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim
14382IF_PERL!$IF_PERL$ac_delim 14223IF_PERL!$IF_PERL$ac_delim
14383PERL_O!$PERL_O$ac_delim 14224PERL_O!$PERL_O$ac_delim
14384LIBAFTERIMAGE_CFLAGS!$LIBAFTERIMAGE_CFLAGS$ac_delim 14225AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
14385AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 14226AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
14386include_stdint_h!$include_stdint_h$ac_delim 14227include_stdint_h!$include_stdint_h$ac_delim
14228include_stdarg_h!$include_stdarg_h$ac_delim
14387_ACEOF 14229_ACEOF
14388 14230
14389 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then 14231 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
14390 break 14232 break
14391 elif $ac_last_try; then 14233 elif $ac_last_try; then
14423 14265
14424 14266
14425ac_delim='%!_!# ' 14267ac_delim='%!_!# '
14426for ac_last_try in false false false false false :; do 14268for ac_last_try in false false false false false :; do
14427 cat >conf$$subs.sed <<_ACEOF 14269 cat >conf$$subs.sed <<_ACEOF
14428include_stdarg_h!$include_stdarg_h$ac_delim
14429include_stdlib_h!$include_stdlib_h$ac_delim 14270include_stdlib_h!$include_stdlib_h$ac_delim
14430include_unistd_h!$include_unistd_h$ac_delim 14271include_unistd_h!$include_unistd_h$ac_delim
14431include_string_h!$include_string_h$ac_delim 14272include_string_h!$include_string_h$ac_delim
14432include_fcntl_h!$include_fcntl_h$ac_delim 14273include_fcntl_h!$include_fcntl_h$ac_delim
14433include_util_h!$include_util_h$ac_delim 14274include_util_h!$include_util_h$ac_delim
14439include_time_h!$include_time_h$ac_delim 14280include_time_h!$include_time_h$ac_delim
14440LIBOBJS!$LIBOBJS$ac_delim 14281LIBOBJS!$LIBOBJS$ac_delim
14441LTLIBOBJS!$LTLIBOBJS$ac_delim 14282LTLIBOBJS!$LTLIBOBJS$ac_delim
14442_ACEOF 14283_ACEOF
14443 14284
14444 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 14; then 14285 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then
14445 break 14286 break
14446 elif $ac_last_try; then 14287 elif $ac_last_try; then
14447 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 14288 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
14448echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 14289echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
14449 { (exit 1); exit 1; }; } 14290 { (exit 1); exit 1; }; }
14886 14727
14887if test x$support_afterimage = xyes; then 14728if test x$support_afterimage = xyes; then
14888 echo " AfterImage support: yes" 14729 echo " AfterImage support: yes"
14889fi 14730fi
14890 14731
14891if test x$support_afterstep = xyes; then
14892 echo " AfterStep integration: yes"
14893fi
14894 14732
14895if test x$term != x; then 14733if test x$term != x; then
14896 echo " set TERM to: $term" 14734 echo " set TERM to: $term"
14897fi 14735fi
14898if test x$terminfo != x; then 14736if test x$terminfo != x; then
14903if test x$RESFALLBACK != x; then 14741if test x$RESFALLBACK != x; then
14904 echo " resource class fallback: $RESFALLBACK" 14742 echo " resource class fallback: $RESFALLBACK"
14905fi 14743fi
14906echo 14744echo
14907echo " embedded perl: $support_perl" 14745echo " embedded perl: $support_perl"
14746echo " libafterimage: $support_afterimage"
14908echo 14747echo
14909if test x$support_xpm = xneedsmanualspecification; then 14748if test x$support_xpm = xneedsmanualspecification; then
14910 echo ".----------------------------------------------------------------." 14749 echo ".----------------------------------------------------------------."
14911 echo ". WARNING: --enable-xpm-background was specified however the ." 14750 echo ". WARNING: --enable-xpm-background was specified however the ."
14912 echo ". XPM includes files and libraries could not be found. ." 14751 echo ". XPM includes files and libraries could not be found. ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines